Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.update
Class NvdCveInfo

    java.lang.Object
      org.owasp.dependencycheck.data.update.NvdCveInfo

    public class NvdCveInfo

extends Object

A pojo that contains the Url and timestamp of the current NvdCve XML files.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Constructor Summary
`NvdCveInfo()`

Method Summary
`String` | `getId()` Get the value of id.
`boolean` | `getNeedsUpdate()` Get the value of needsUpdate.
`String` | `getOldSchemaVersionUrl()` Get the value of oldSchemaVersionUrl.
`long` | `getTimestamp()` Get the value of timestamp - epoch time.
`String` | `getUrl()` Get the value of url.
`void` | `setId(String id)` Set the value of id.
`void` | `setNeedsUpdate(boolean needsUpdate)` Set the value of needsUpdate.
`void` | `setOldSchemaVersionUrl(String oldSchemaVersionUrl)` Set the value of oldSchemaVersionUrl.
`void` | `setTimestamp(long timestamp)` Set the value of timestamp - epoch time.
`void` | `setUrl(String url)` Set the value of url.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NvdCveInfo

    public NvdCveInfo()

Method Detail

### getId

    public String getId()

  Get the value of id.

  Returns:
    the value of id

### setId

    public void setId(String id)

  Set the value of id.

  Parameters:
    `id` - new value of id

### getUrl

    public String getUrl()

  Get the value of url.

  Returns:
    the value of url

### setUrl

    public void setUrl(String url)

  Set the value of url.

  Parameters:
    `url` - new value of url

### getOldSchemaVersionUrl

    public String getOldSchemaVersionUrl()

  Get the value of oldSchemaVersionUrl.

  Returns:
    the value of oldSchemaVersionUrl

### setOldSchemaVersionUrl

    public void setOldSchemaVersionUrl(String oldSchemaVersionUrl)

  Set the value of oldSchemaVersionUrl.

  Parameters:
    `oldSchemaVersionUrl` - new value of oldSchemaVersionUrl

### getTimestamp

    public long getTimestamp()

  Get the value of timestamp - epoch time.

  Returns:
    the value of timestamp - epoch time

### setTimestamp

    public void setTimestamp(long timestamp)

  Set the value of timestamp - epoch time.

  Parameters:
    `timestamp` - new value of timestamp - epoch time

### getNeedsUpdate

    public boolean getNeedsUpdate()

  Get the value of needsUpdate.

  Returns:
    the value of needsUpdate

### setNeedsUpdate

    public void setNeedsUpdate(boolean needsUpdate)

  Set the value of needsUpdate.

  Parameters:
    `needsUpdate` - new value of needsUpdate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.